## ibus 1.5.17

=== debian/changelog ===
ibus (1.5.17-3ubuntu4) bionic; urgency=medium

  * debian/control, debian/rules:
     - restore use of dh_translations which was removed in 1.5.11-1ubuntu1
       without explanation (lp: #1764161)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Apr 2018 19:43:24 +0200

ibus (1.5.17-3ubuntu3) bionic; urgency=medium

  * debian/patches/ubuntu-conditional-chmod.patch: backport an upstream commit
    to make a call to chmod conditional, to avoid apparmor denials for confined
    apps (e.g. snaps) that use libibus (LP: #1761585)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 06 Apr 2018 11:04:22 +0200

ibus (1.5.17-3ubuntu2) bionic; urgency=medium

  * debian/patches/ubuntu-unicode-keybinding.patch:
    - use a change proposed/rejected upstream to restore ctrl-shift-u,
      upstream consider it superseeded by the emoji selector but that has
      no keybinding in our ibus version and is not an exact replacement
      (lp: #1760308)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Apr 2018 17:23:19 +0200

ibus (1.5.17-3ubuntu1) bionic; urgency=medium

  * Merge with Debian, remaining changes:
    - d/ibus.gsettings-override:
      Use system keyboard layout by default
    - Add patches:
      ubuntu-title-update.patch
      ubuntu-no-notification.patch
      ubuntu-disable-trigger.patch
      ubuntu-forward-panel-properties.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 31 Dec 2017 10:20:39 -0500

ibus (1.5.17-3) unstable; urgency=medium

  * enable emoji.  Closes: #883229

 -- Osamu Aoki <osamu@debian.org>  Sun, 31 Dec 2017 18:46:31 +0900

ibus (1.5.17-2) unstable; urgency=medium

  * Clean up debian/patches.
  * Fix symbols. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 29 Dec 2017 22:10:20 +0900

ibus (1.5.17-1) unstable; urgency=medium

  * New upstream version 1.5.15
  * New upstream version 1.5.16  Closes: #864913
  * New upstream version 1.5.17
  * Clean debian directory
  * Add build-dep
  * Migrate to the new dbgsym package
  * Sort old symbols file
  * Update symbols file for 1.5.16
  * Use autogen.sh for autoreconf
  * Don't depend on gtk2.  Closes: #883112
  * Use dh_missing --fail-missing
  * Install ibus-portal files.

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Dec 2017 23:20:01 +0900
