=== debian/watch ===
version=3
opts=filenamemangle=s#.*/archive/([\d.]+\.tar\.[gx]z)#ibus-$1# \
https://github.com/ibus/ibus/releases \
/ibus/ibus/archive/[\d.]+\.tar\.[gx]z debian uupdate
#<a href="/ibus/ibus/archive/1.5.14.tar.gz" rel="nofollow">
