## ibus 1.5.19

=== debian/changelog ===
ibus (1.5.19-4+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * bus: Implement GDBusAuthObserver callback (CVE-2019-14822)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 10 Sep 2019 23:27:18 +0200

ibus (1.5.19-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/dconf-Use-dbus-run-session-to-set-up-dconf-overrides.patch:
    Use dbus-run-session instead of dbus-launch to work with a temporary
    dconf. Build-depend on dbus (>= 1.8) for this, instead of dbus-x11.
    (Closes: #835913)
  * d/p/dconf-Create-a-temporary-XDG_RUNTIME_DIR.patch:
    Create a temporary XDG_RUNTIME_DIR while generating dconf overrides,
    instead of interacting with the user's real XDG_RUNTIME_DIR (if
    available) or issuing warnings (in sbuild).

  [ Osamu Aoki ]
  * Update Wayland protocol from upstream branch. (Closes: #905001)
  * Update bug script.

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Feb 2019 15:19:20 +0900

ibus (1.5.19-3) unstable; urgency=medium

  * Make all available supporting packages to be installed via
    "Recommends: ..." with and-condition.  Closes: #921541

 -- Osamu Aoki <osamu@debian.org>  Sat, 16 Feb 2019 07:17:21 +0900

ibus (1.5.19-2) unstable; urgency=medium

  [ Jonathan Carter]
  * Non-maintainer upload
    (with ack from team member Osamu Aoki)
  * Add patch to remove obsolete ibus popup (Closes: 905790)
  * Update standards version to 4.3.0
  * Upgrade to debhelper-compat (=12)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Feb 2019 16:24:24 +0000

ibus (1.5.19-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Team upload
  * New upstream release
  * debian/libibus-1.0-5.symbols: Add new symbols
  * Drop fix-ucd-directory-override.patch: Applied

  [ Laurent Bigonville ]
  * Remove the dependency of the gir package against python, it's useless
    (Closes: #907196)
  * debian/rules: Add terminator to --with-no-snooper-apps

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Aug 2018 14:51:25 -0400

ibus (1.5.18-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use Debian Input Method list for Maintainer
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop Build-Depends on gconf2 (Closes: #894320)
  * Point to unicode data directory
  * debian/ibus.install: Install usr/lib/ibus/ibus-extension-gtk3
  * debian/libibus-1.0-5.symbols: Add new symbols
  * Drop patch: Applied in new release
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 29 Mar 2018 21:12:39 -0400
