=== debian/control ===
--- 
+++ 
@@ -1,20 +1,12 @@
 Source: ibus
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, Osamu Aoki <osamu@debian.org>
-Build-Depends: autoconf,
-               automake,
-               autotools-dev,
-               dbus-x11,
-               dconf-cli,
-               debhelper (>= 9),
+Build-Depends: dbus (>= 1.8),
+               debhelper-compat (= 12),
                desktop-file-utils,
-               dh-autoreconf,
                dh-python,
-               dh-translations,
-               gconf2,
                gettext,
                gobject-introspection,
                gnome-common,
@@ -39,10 +31,10 @@
                unicode-cldr-core,
                unicode-data,
                valac (>= 0.16)
-Standards-Version: 3.9.8
-Homepage: https://github.com/ibus/ibus/releases
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/ibus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ime/ibus.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/ibus
+Vcs-Git: https://salsa.debian.org/debian/ibus.git
+Homepage: https://github.com/ibus/ibus
 
 Package: ibus
 Architecture: any
@@ -56,10 +48,13 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: ibus-gtk | ibus-qt4 | libqt5gui5,
-            ibus-gtk3 | ibus-qt4 | libqt5gui5,
+Recommends: ibus-clutter,
+            ibus-gtk,
+            ibus-gtk3,
+            ibus-qt4,
+            libqt5gui5,
             im-config
-Suggests: ibus-clutter, ibus-doc, ibus-qt4, libqt5gui5
+Suggests: ibus-doc
 Breaks: ibus-anthy (<< 1.5.3-2),
         ibus-el (<< 0.3.2-2),
         ibus-googlepinyin (<< 0.1.2-2)
@@ -148,7 +143,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: Intelligent Input Bus - introspection data
  IBus is an Intelligent Input Bus. It is a new input framework for the Linux
  OS. It provides full featured and user friendly input method user interface.
