=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf,gir,python3,translations
+	dh $@ --with gir,python3
 
 CONFIGURE_FLAGS = \
 		--disable-silent-rules \
@@ -17,7 +17,8 @@
 		--enable-gtk3 \
 		--enable-xim \
 		--enable-gtk-doc \
-		--with-no-snooper-apps='gnome-do,Do.*,firefox.*,.*chrome.*,.*chromium.*' \
+		--with-ucd-dir='/usr/share/unicode/' \
+		--with-no-snooper-apps='gnome-do,Do.*,firefox.*,.*chrome.*,.*chromium.*,terminator' \
 		--enable-surrounding-text \
 		--enable-introspection \
 		--enable-appindicator \
@@ -30,9 +31,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
-
-override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh -- $(CONFIGURE_FLAGS)
 
 override_dh_auto_build:
 	make -C ui/gtk3 maintainer-clean-generic
@@ -58,7 +56,7 @@
 	dh_missing --fail-missing -X.la -X.pyc -X.pyo
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Nibus-gtk -Nibus-gtk3
+	dh_makeshlibs -Nibus-gtk -Nibus-gtk3 -- -c4
 
 override_dh_auto_test:
 	-dh_auto_test -- V=1 # disabled due to FAIL: ibus-compose
