## ibus 1.5.21

=== debian/changelog ===
ibus (1.5.21-5) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/patches/*: Add/Update patch tags on upstream status
  * debian/control: Drop alternative Recommends and Suggests on
    libqt5gui5; Qt apps always have this dependency and not-installing
    ibus-gtk can cause issues with Chromium or Firefox to KDE users. See
    #926625.
  * debian/control: Move librsvg2-common dependency from ibus to ibus-data,
    which contains SVG icons.
  * debian/patches/unix-socket-path.patch: Apply upstream git commits
    about the IBus Unix socket. It fixes non-linux FTBFS.
  * debian/rules: Revert non-linux FTBFS regression by 1.5.21-4~exp1.
    Add a comment on the reason why cleaning Vala-generated files.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 01 Jan 2020 18:52:17 +0900

ibus (1.5.21-4) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/rules: for fixing and debugging FTBFS on non-systemd
    - Use xvfb to run dh_auto_test
    - Do not run ibus daemon in background on test
  * debian/rules:
    - Do not build ibus-tests on (compatibility-only) Ubuntu i386, as some
      of ibus-tests depends are not in the compatibility layer. Patch from
      Steve Langasek. (Closes: #947262)

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 26 Dec 2019 08:46:04 +0900

ibus (1.5.21-4~exp1) unstable; urgency=medium

  * Upload to experimental due to new binpkg python3-ibus-1.0

  [ Changwoo Ryu ]
  * ibus-tests: Move the test-only ibus-desktop-testing-runner executable
    from /usr/bin to /usr/lib/ibus/installed-tests/.
  * debian/control: Update Build-Depends to match the upstream source
    - Remove unused libdbus-glib-1-dev, libjson-glib-dev and python3-dbus.
    - Update versions of gobject-introspection, libdconf-dev,
      libglib2.0-dev, libwayland-dev, qtbase5-dev, python-gi-dev and valac.
    - Add Depends libglib2.0-0 (>= 2.62.2-2) for #941018
  * debian/rules: Clean up override_dh_* rules
  * debian/ibus.bug-script
    - Fix a typo
    - Remove "locale" command; bug-script always runs in "C" locale.
  * debian/{control,rules}: Support nodoc and noinsttest build profiles
  * gir1.2-ibus-1.0:
    - Do not install python2 file in gir1.2-ibus-1.0 (Closes: #944387)
    - Move Python 3 overrides to new python3-ibus-1.0
  * debian/{ibus,ibus-data}.install: Move manpages to the same package
    with the executables.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 17 Dec 2019 14:16:50 +0900

ibus (1.5.21-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Disable package ibus-tests on s390x.
    This really fixes Debian bug 944614.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:10:45 -0500

ibus (1.5.21-2) unstable; urgency=high

  * Team upload.

  [ Boyuan Yang ]
  * debian/README.Debian: Drop words about Qt4.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Downgrade dependency of ibus-tests -> gnome-shell to
      recommendation on s390x since gnome-shell currently FTBFS on
      s390x architecture.
      This makes ibus able to migrate to testing. (Closes: #944614)

  [ Changwoo Ryu ]
  * d/rules: Improve tests
    - Check DEB_BUILD_OPTIONS nocheck on override_dh_auto_test
    - Use dbus-run-session to run tests
    - Create/remove XDG data directories under debian/ so it run tests without
      touching dot folders in $HOME.
    - Try to unmount gvfs-fuse mount in $XDG_RUNTIME_DIR if any
  * d/{README.update-po,update-po}: Removed as it's currently not valid
  * d/ibus.bug-presubj: Fix GNOME input source setting information for
    recent GNOME versions.
  * d/{control,README.Debian}: Replace old name GTK+ with GTK
  * d/control: Add "Rules-Requires-Root: no"

  [ Osamu Aoki ]
  * debian/ibus.bug-script: Fix typo in reportbug script.
    (Closes: #942465)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Nov 2019 15:12:39 -0500

ibus (1.5.21-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Upload to unstable
  * Apply upstream commit to fix CVE-2019-14822 (Closes: #940267)
  * d/rules: Add XDG_RUNTIME_DIR settings on build
    - Based on d/rules of the glib2.0 package
    - possibly to fix the test failures in non-linux arch builds
  * d/control: Remove unnecessary Build-Depends: gnome-common,
    libnotify-dev

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 18 Sep 2019 23:52:06 +0900

ibus (1.5.21-1~exp2) experimental; urgency=medium

  [ Changwoo Ryu ]
  * Split out data files into ibus-data
  * d/rules: Enable tests with exceptions. Some tests (ibus-bus,
    ibus-compose, ibus-keypress, test-stress) are disabled as they require
    a GUI session. They can be run in autopkgtest later. (Closes: #834331)
  * d/copyright: Fix lintian warnings
  * d/libibus-1.0-5.symbols: Add Build-Depends-Package
  * Add installed tests / autopkgtest
    - d/rules: Add --enable-install-tests configure flag
    - Install the test files to ibus-tests binary package
    - d/tests/{control,installed-tests}: Add autopkgtest files

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 03 Sep 2019 01:18:39 +0900

ibus (1.5.21-1~exp1) experimental; urgency=medium

  [ Osamu Aoki ]
  * Allow pushd (bashism) in ibus/src/tests/runtest.

  [ Changwoo Ryu ]
  * d/rules: Use --with-python=... flag with absolute path.
    (Closes: #931800)

  [ Boyuan Yang ]
  * New upstream version 1.5.21. (Closes: #933767, #915547)
  * d/control: Bump Standards-Version to 4.4.0.
  * d/control: Drop recommendation to ibus-qt4. (Closes: #926624)
  * d/control: Make recommendation to libqt5gui5 as alternative.
    (Closes: #926625)
  * debian/gir1.2-ibus-1.0.lintian-overrides: Add override for
    python-package-missing-depends-on-python for now in the python2
    removal phase.
  * d/patches: Refresh patches:
    - remove-popup: Removed, no longer necessary.
    - wayland.patch: Removed, merged upstream.

  [ Changwoo Ryu ]
  * d/rules: Update the setup desktop filename for 1.5.21
  * d/control: Build-Depends on gettext >= 0.19.8 instead of intltool
  * d/libibus-1.0-dev.install: Add gettext ITS rule for ibus

