=== debian/control ===
Source: ibus
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           Changwoo Ryu <cwryu@debian.org>,
           Osamu Aoki <osamu@debian.org>,
Build-Depends: dbus-x11 (>= 1.8) <!nocheck>,
               debhelper-compat (= 12),
               desktop-file-utils,
               dh-python,
               gettext (>= 0.19.8),
               gobject-introspection (>= 0.9.6~),
               gtk-doc-tools <!nodoc>,
               iso-codes,
               libdconf-dev (>= 0.7.5~),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.46.0~),
               libgtk-3-bin,
               libgtk-3-dev (>= 3.7.0),
               libgtk2.0-dev (>= 2.24.5-4),
               libtool,
               libwayland-dev (>= 1.2.0~) [linux-any],
               pkg-config (>= 0.16),
               python-gi-dev (>= 3.0.0~),
               python3-all,
               qtbase5-dev (>= 5.4~),
               unicode-cldr-core,
               unicode-data,
               valac (>= 0.20),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/ibus
Vcs-Git: https://salsa.debian.org/debian/ibus.git
Homepage: https://github.com/ibus/ibus

Package: ibus
Architecture: any
Multi-Arch: foreign
Depends:
        ${misc:Depends},
        ${python3:Depends},
        ${shlibs:Depends},
        adwaita-icon-theme,
        dconf-cli,
        ibus-data (= ${source:Version}),
# For ibus-setup
        gir1.2-gtk-3.0 (>= 3.8.5),
        gir1.2-ibus-1.0 (= ${binary:Version}),
        python3-gi,
        python3-ibus-1.0 (= ${source:Version}),
# libdbus clients fail to authenticate with private GDBusServer in old glib
        libglib2.0-0 (>= 2.62.2-2),
Recommends:
        ibus-gtk,
        ibus-gtk3,
        im-config,
Suggests:
        ibus-clutter,
        ibus-doc,
Replaces: ibus-data (<< 1.5.21-4~exp1)
Breaks: ibus-anthy (<< 1.5.3-2),
        ibus-data (<< 1.5.21-4~exp1),
        ibus-el (<< 0.3.2-2),
        ibus-googlepinyin (<< 0.1.2-2)
Description: Intelligent Input Bus - core
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.

Package: ibus-data
Architecture: all
Multi-Arch: foreign
Depends:
        ${misc:Depends},
# librsvg2-common: for rendering SVG icons
        librsvg2-common,
Recommends: ibus
Replaces: ibus (<< 1.5.21-1~exp2)
Breaks: ibus (<< 1.5.21-1~exp2)
Description: Intelligent Input Bus - data files
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains data files.

Package: ibus-tests
Build-profiles: <!noinsttest>
# Excludes s390x for now since gnome-shell FTBFS on s390x
# Please add all other architectures
Architecture: amd64 armel armhf arm64 i386 mipsel mips64el ppc64el alpha hppa hurd-any ia64 kfreebsd-any m68k powerpc ppc64 riscv64 sh4 sparc64 x32
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         dbus-x11,
         gnome-desktop-testing,
         gnome-session,
         gnome-shell,
         ibus (= ${binary:Version}),
         locales-all,
         xvfb,
Description: Intelligent Input Bus - installed tests
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libibus-1.0-5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intelligent Input Bus - shared library
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains shared library

Package: libibus-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-ibus-1.0 (= ${binary:Version}),
         libdbus-1-dev,
         libglib2.0-dev,
         libibus-1.0-5 (= ${binary:Version}),
Replaces: libibus-dev
Description: Intelligent Input Bus - development file
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the header files and static libraries which are
 needed for developing the IBus applications.

Package: ibus-gtk
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intelligent Input Bus - GTK2 support
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the GTK2 IM module.

Package: ibus-gtk3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intelligent Input Bus - GTK3 support
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the GTK3 IM module.

Package: ibus-wayland
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Intelligent Input Bus - Wayland support
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the Wayland IM module.

Package: ibus-doc
Build-profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Intelligent Input Bus - development documentation
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the reference manual.

Package: gir1.2-ibus-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
Breaks: ibus-array (<< 0.2.1-3),
        ibus-pinyin (<< 1.5.0-6),
Description: Intelligent Input Bus - introspection data
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains the GObject introspection data which are needed
 for developing the IBus applications in various programming languages
 with GObject introspection support.

Package: python3-ibus-1.0
Section: python
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-ibus-1.0,
         python3-gi (>= 3.8),
Breaks: gir1.2-ibus-1.0 (<< 1.5.21-4~exp1)
Replaces: gir1.2-ibus-1.0 (<< 1.5.21-4~exp1)
Description: Intelligent Input Bus - introspection overrides for Python (Python 3)
 IBus is an Intelligent Input Bus. It is a new input framework for the Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using IBus.
