## ibus 1.5.22

=== debian/changelog ===
ibus (1.5.22-4) unstable; urgency=medium

  * debian/patches/socket-name-compatibility.patch: Compatibility for
    use-wayland-display-for-socket-name.patch. This fixes Qt clients
    breakage in Wayland.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 12 Apr 2020 12:12:18 +0900

ibus (1.5.22-3) unstable; urgency=medium

  * debian/patches/use-wayland-display-for-socket-name.patch: Backport
    from the upstream. It fixes the problem on using X11 clients in
    gnome-shell 3.36 wayland sessions. (Closes: #955769)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 07 Apr 2020 11:59:49 +0900

ibus (1.5.22-2) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Revert the emoji-test.txt embedding and use emoji-test.txt in
    unicode-data (>= 13.0.0-2), which ships this file (#953795).
  * debian/patches/libexec-fhs2-compat.patch: Provide compatibility with
    FHS 2.x built ibus engine packages, after moving to /usr/libexec
  * debian/rules: Set GVFS_DISABLE_FUSE=1 while running tests, to prevent
    gvfsd from mounting FUSE filesystems.
  * debian/patches/remove-glib-check-version.patch: Do not check glib
    runtime version on gtk immodule init. (Closes: #954207)
  * debian/ibus.bug-script: Updated
    - Use /bin/sh instead of /bin/bash
    - Remove locale/shell envvars which are redundant (See #946326)
    - Add more settings from GSettings, localectl, setxkbmap and ~/.Xmodmap
      (Closes: #942470)

  [ Laurent Bigonville ]
  * Move the daemons to /usr/libexec now that's allowed in the policy

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 21 Mar 2020 21:23:02 +0900

ibus (1.5.22-1) unstable; urgency=high

  [ Changwoo Ryu ]
  * debian/lintian-overrides: Ignore lintian info
    hardening-no-fortify-functions on /usr/bin/ibus-daemon. It uses
    readlink(2) which is not protectable.
  * debian/copyright: Correct copyright years and add new files
  * Fix FTBFS with unicode-data 13.0 (Closes: #953775)
    - debian/emoji/emoji-test.txt: Added in the source, downloaded from
      https://www.unicode.org/Public/emoji/13.0/.
    - debian/README.source: Add information on it
    - debian/copyright: Add Unicode license
    - debian/rules: Add --with-unicode-emoji-dir flag
  * debian/control: Update Build-Depends
    - The upstream requires GTK 3.12.0

  [ Laurent Bigonville ]
  * debian/control: Add libglib2.0-doc to the Build-Depends-Indep. This
    will fix the link between the ibus documentation and the GLib one

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 16 Mar 2020 19:06:40 +0900

ibus (1.5.22-1~exp1) experimental; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
    - Remove upstream-applied patches:
      bashism.patch, bus-Implement-GDBusAuthObserver-callback.patch,
      unix-socket-path.patch, test-fix-on-slow-machines.patch
    - Remove upstream-applied .desktop entry changing rule
      (https://github.com/ibus/ibus/pull/2162)
  * Bump Standards-Version to 4.5.0.
  * debian/patches/bashism-installed-tests.patch: Fix bashism in
    the ibus-desktop-testing-runner installed-tests script

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 26 Feb 2020 20:53:23 +0900

ibus (1.5.21-6) UNRELEASED; urgency=low

  [ Changwoo Ryu ]
  * Fix test failure on some slow machines
    - debian/patches/test-fix-on-slow-machines.patch: Increase the delay
      after running the background ibus-daemon while running tests.

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 02 Jan 2020 20:16:10 +0900
