=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.46.0~),
                libgtk-3-bin,
-               libgtk-3-dev (>= 3.7.0),
+               libgtk-3-dev (>= 3.12.0),
                libgtk2.0-dev (>= 2.24.5-4),
                libtool,
                libwayland-dev (>= 1.2.0~) [linux-any],
@@ -26,12 +26,13 @@
                python3-all,
                qtbase5-dev (>= 5.4~),
                unicode-cldr-core,
-               unicode-data,
+               unicode-data (>= 13.0.0-2),
                valac (>= 0.20),
                xauth <!nocheck>,
                xvfb <!nocheck>,
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/ibus
 Vcs-Git: https://salsa.debian.org/debian/ibus.git
 Homepage: https://github.com/ibus/ibus
@@ -121,7 +122,7 @@
  OS. It provides full featured and user friendly input method user interface.
  It also may help developers to develop input method easily.
  .
- This package contains shared library
+ This package contains the shared library.
 
 Package: libibus-1.0-dev
 Section: libdevel
