=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 		--enable-introspection \
 		--enable-surrounding-text \
 		--enable-xim \
-		--libexecdir=/usr/lib/ibus \
 		--with-no-snooper-apps='gnome-do,Do.*,firefox.*,.*chrome.*,.*chromium.*,terminator' \
 		--with-python=/usr/bin/python3 \
 		--with-ucd-dir='/usr/share/unicode/' \
@@ -60,17 +59,11 @@
 CONFIGURE_FLAGS += --disable-wayland
 endif
 
-override_dh_auto_configure:
+override_dh_auto_configure: check_emoji_version
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
-	test -f debian/tmp/usr/share/applications/org.freedesktop.IBus.Setup.desktop
-	! grep "^Keywords=" debian/tmp/usr/share/applications/org.freedesktop.IBus.Setup.desktop >/dev/null
-	! grep "^NotShowIn=" debian/tmp/usr/share/applications/org.freedesktop.IBus.Setup.desktop >/dev/null
-	echo "Keywords=keyboard;input;" >> debian/tmp/usr/share/applications/org.freedesktop.IBus.Setup.desktop
-# KDE, Xfce, LXDE may need to be added
-	echo "NotShowIn=GNOME;Unity;" >> debian/tmp/usr/share/applications/org.freedesktop.IBus.Setup.desktop
 	desktop-file-install --delete-original \
 		--dir debian/tmp/usr/share/applications \
 		debian/tmp/usr/share/applications/*
@@ -91,27 +84,23 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p -m700 $(CURDIR)/debian/tmp-home
 	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
 	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
 	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
-	mkdir -p -m700 $(CURDIR)/debian/tmp-xdg-runtime-dir
+	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
 	env \
-	  HOME=$(CURDIR)/debian/tmp-home \
+	  HOME=$(CURDIR)/debian/tmp-home/.cache \
 	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
 	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
 	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
-	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-xdg-runtime-dir \
+	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
+	  GVFS_DISABLE_FUSE=1 \
 	  dbus-run-session -- \
 	  xvfb-run --auto-servernum -- \
 	  dh_auto_test -- \
 	  DISABLE_DAEMONIZE_IN_TESTS=1 \
 	  DISABLE_GUI_TESTS="ibus-bus ibus-compose ibus-keypress test-stress"
-	# Try to unmount gvfs-fuse mount if any
-	-umount $(CURDIR)/debian/tmp-xdg-runtime-dir/gvfs
-	rm -rf $(CURDIR)/debian/tmp-xdg-runtime-dir
-	rm -rf $(CURDIR)/debian/tmp-xdg-cache-home
-	rm -rf $(CURDIR)/debian/tmp-xdg-data-home
+	rm -rf $(CURDIR)/debian/tmp-home
 endif
 
 override_dh_builddeb:
@@ -119,3 +108,11 @@
 
 override_dh_gencontrol:
 	dh_gencontrol $(skip_packages)
+
+# check if there's newer version of emoji data in unicode-data
+.PHONY: check_emoji_version
+check_emoji_version:
+	test -f /usr/share/unicode/emoji/emoji-data.txt
+	UCD_VERSION=`grep '^# Version:' /usr/share/unicode/emoji/emoji-data.txt|cut -c12-`; \
+	EMOJI_VERSION=`grep '^# Version:' debian/emoji/emoji-test.txt|cut -c12-`; \
+	echo $$UCD_VERSION | grep ^$$EMOJI_VERSION
